
/**
 *<pre>
 * RPGProc.java
 * This class is an Lpexlet.  It subclasses LpexCommand, the Lpex Java
 * Programming Interface.
 * This Lpexlet prompts for the procedure and programmer's name
 *</pre>
 */
public class RPGProc extends LpexCommand
{
    static RPGProcFrame rpgProcFrame = null;

   /**
    *  lpexEntry() - main entry point from LPEX.  Overrides LpexCommand's.
    */
   public static int lpexEntry (String arg)
   {
     if( rpgProcFrame == null )
       rpgProcFrame = new RPGProcFrame();     	

     rpgProcFrame.setVisible(true);
     return 0;
   } // end lpexEntry()


   // Once the Ok button is pressed, need to set DOCVARs
   public static int setDocVars(String procName, String pgmrName)
   {
      lpexCommand("SET DOCVAR.PROCNAME " + procName);
      lpexCommand("SET DOCVAR.PGMRNAME " + pgmrName);

      lpexCommand("MACRO RPGPROCJAVA");
      return 0;
   } // end setDocVars()


   /**
    *  lpexNotify() - tell LPEX to notify us on exit.
    */
   public static int lpexNotify()
   {
      return LPEX_NOTIFY_EXIT;
   }  // end of lpexNotify()

   /**
    *  lpexExit() - we're being terminated, dispose of the toolbar
    */
   public static int lpexExit (String arg)
   {
      rpgProcFrame.dispose();                                // get rid of the toolbar
      return 0;
   }  // end of lpexExit

} // end class RPGProc
